Feature: Add_To_Cart

  Background:
    When Close the popup
    And  I close the messenger popUp
    And Click on Contribute button
    And Click on Donate Now

  @web
  Scenario: To verify 1000-Monthly donation for One-time added to the cart
    When I add 1000-Monthly donation to the cart
    And I select "One Time" payment
    And I press "Add Donation"
    Then I should see "1000  - Monthly" is added to the cart


  @web
  Scenario: To verify 1000-Monthly donation on Recurring Weekly basis is added to the cart
    When I add 1000-Monthly donation to the cart
    And I select "Recurring" payment
    And I select "Weekly" payment
    And I press "Add Donation"
    Then I should see "1000  - Monthly" is added to the cart


  @web
  Scenario: To verify 1000-Monthly donation on Recurring  Monthly basis is added to the cart
    When I add 1000-Monthly donation to the cart
    And I select "Recurring" payment
    And I select "Monthly" payment
    And I press "Add Donation"
    Then I should see "1000  - Monthly" is added to the cart


  @web
  Scenario: To verify 1000-Monthly donation on Recurring Yearly basis is added to the cart
    When I add 1000-Monthly donation to the cart
    And I select "Recurring" payment
    And I select "Yearly" payment
    And I press "Add Donation"
    Then I should see "1000  - Monthly" is added to the cart

  @web
  Scenario: To verify multiple donation of 1000-Monthly monthly added to cart
    When I add 1000-Monthly donation to the cart
    And I select "Recurring" payment
    And I select "Monthly" payment
    And I press "Add Donation"
    When I press "Add Another"
    And I add 1000-Monthly donation to the cart
    And I select "Recurring" payment
    And I select "Yearly" payment
    And I press "Add Donation"
    Then I should see the following donation detail added to the cart
      | title          |
      | 1000 - Monthly |
      | 1000 - Monthly |

  @web
  Scenario:Verify user shouldn't see removed listed donation to the cart when add new donation to cart
    When I add 1000-Monthly donation to the cart
    And I select "Recurring" payment
    And I select "Monthly" payment
    And I press "Add Donation"
    When I press "Add Another"
    And I add 1000-Monthly donation to the cart
    And I select "Recurring" payment
    And I select "Yearly" payment
    And I press "Add Donation"
    When I press "Add Another"
    And I add 1000-Monthly donation to the cart
    And I select "Recurring" payment
    And I select "Monthly" payment
    And I press "Add Donation"
    Then I should see the following donation detail added to the cart
      | title          |
      | 1000 - Monthly |
      | 1000 - Monthly |
      | 1000 - Monthly |
    When I remove "1" Donation to the cart
    When I press "Add Another"
    And I add 1000-Monthly donation to the cart
    And I select "Recurring" payment
    And I select "Monthly" payment
    And I press "Add Donation"
    Then I should see You are donating to "3" cause

  Scenario:To check checkout button is clickable and user is redirected to checkout page
    When I add 1000-Monthly donation to the cart
    And I select "Recurring" payment
    And I select "Monthly" payment
    And I press "Add Donation"
    And I press "Checkout"
    Then User should be redirected to "Checkout" page

  @web
  Scenario:User Should be able to see correct number of donation after removing donation to cart list
    When I add 1000-Monthly donation to the cart
    And I select "Recurring" payment
    And I select "Monthly" payment
    And I press "Add Donation"
    When I press "Add Another"
    And I add 1000-Monthly donation to the cart
    And I select "Recurring" payment
    And I select "Yearly" payment
    And I press "Add Donation"
    When I press "Add Another"
    And I add 1000-Monthly donation to the cart
    And I select "Recurring" payment
    And I select "Monthly" payment
    And I press "Add Donation"
    When I remove "1" Donation to the cart
    Then I should see You are donating to "2" cause

  @web
  Scenario:User should see correct amount of added donation in the cart
    When I add 1000-Monthly donation to the cart
    And I select "Recurring" payment
    And I select "Monthly" payment
    And I press "Add Donation"
    When I press "Add Another"
    And I add 1000-Monthly donation to the cart
    And I select "Recurring" payment
    And I select "Yearly" payment
    And I press "Add Donation"
    When I press "Add Another"
    And I add 1000-Monthly donation to the cart
    And I select "Recurring" payment
    And I select "Monthly" payment
    And I press "Add Donation"
    Then I should see total amount Rs"3000" on add to cart module

  @web
  Scenario:User Should be able to see correct number of donation after removing donation to cart list
    When I add 1000-Monthly donation to the cart
    And I select "Recurring" payment
    And I select "Monthly" payment
    And I press "Add Donation"
    When I press "Add Another"
    And I add 1000-Monthly donation to the cart
    And I select "Recurring" payment
    And I select "Yearly" payment
    And I press "Add Donation"
    When I press "Add Another"
    And I add 1000-Monthly donation to the cart
    And I select "Recurring" payment
    And I select "Monthly" payment
    And I press "Add Donation"
    Then I should see the following donation detail added to the cart
      | title          | amount |
      | 1000 - Monthly | 1000   |
      | 1000 - Monthly | 1000   |
      | 1000 - Monthly | 1000   |

  @web
  Scenario:User should not be able to remove all the donation of 1000-Monthly Recurring donation to cart when remove the first donation to cart list
    When I add 1000-Monthly donation to the cart
    And I select "Recurring" payment
    And I select "Monthly" payment
    And I press "Add Donation"
    When I press "Add Another"
    And I add donation to the cart
    And I select "Recurring" payment
    And I select "Yearly" payment
    And I press "Add Donation"
    When I press "Add Another"
    And I add 1000-Monthly donation to the cart
    And I select "Recurring" payment
    And I select "Monthly" payment
    And I press "Add Donation"
    Then I should see the following donation detail added to the cart
      | title                                        | amount   |
      | 1000 - Monthly                               | Rs. 1000 |
      | Baitussalam Nusrat Roti Pack - Syria - Sadqa | Rs. 2000 |
      | 1000 - Monthly                               | Rs. 1000 |
    When I press "Checkout"
    Then User should be redirected to "Checkout" page

