Feature: Publication Feature

  Background:
    When Close the popup
    And  I close the messenger popUp


  @web
   Scenario Outline: User should be able redirecting to correct pages by selecting header from publication page
    When I select a "publication" feature on home page
    And I select header "<headerItems>" on publication page
    Then User should be redirected to "<pages>" page

    Examples:
      | headerItems                      | pages                            |
      | Radiance                         | Radiance                         |
      | Bulletin                         | Bulletin                         |
      | Intellect Magazine               | Intellect Magazine               |
      | Fahmedeen Magazine               | Fahmedeen Magazine               |
      | Majalld us Salam                 | Majalld us Salam                 |
      | Articles                         | Articles                         |
      | Booklets by Maulana Adbul Sattar | Booklets by Maulana Adbul Sattar |



  @web
  Scenario: User should be able to subscribe for publication
    When I select a "publication" feature on home page
    And I select header "Subscribe Now" on publication page
    And I select "Bulletin" Publication Type on Subscribe for our publications on publication page
    And I enter email "abc@abc.com" on Subscribe for our publication modal
    And I press "Subscribe Now"
#   <-------- Bug "Subscribe now button" is not working ------>


  @web
  Scenario: User should be able to search for publication
    When I select a "publication" feature on home page
    And I select header "Subscribe Now" on publication page
    And I enter "Intellect Magazine" in Search field in order to search on publication page
    Then User should be redirected to "Results for Intellect Magazine" page
#    <------  Bug Always directed to search page even if page is not present(return empty page) -------->
